summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--package/rsync/Makefile3
-rwxr-xr-xscripts/prereq.sh12
-rw-r--r--target/config/Config.in.tools4
3 files changed, 19 insertions, 0 deletions
diff --git a/package/rsync/Makefile b/package/rsync/Makefile
index 2826c8cef..0c0ddc8a3 100644
--- a/package/rsync/Makefile
+++ b/package/rsync/Makefile
@@ -16,12 +16,15 @@ PKG_SITES:= http://rsync.samba.org/ftp/rsync/
DISTFILES:= ${PKG_NAME}-${PKG_VERSION}.tar.gz
+include $(ADK_TOPDIR)/mk/host.mk
include ${ADK_TOPDIR}/mk/package.mk
+$(eval $(call HOST_template,RSYNC,rsync,$(PKG_VERSION)-$(PKG_RELEASE)))
$(eval $(call PKG_template,RSYNC,rsync,${PKG_VERSION}-${PKG_RELEASE},${PKG_DEPENDS},${PKG_DESCR},${PKG_SECTION}))
rsync-install:
${INSTALL_DIR} ${IDIR_RSYNC}/usr/bin
${INSTALL_BIN} ${WRKINST}/usr/bin/rsync ${IDIR_RSYNC}/usr/bin
+include $(ADK_TOPDIR)/mk/host-bottom.mk
include ${ADK_TOPDIR}/mk/pkg-bottom.mk
diff --git a/scripts/prereq.sh b/scripts/prereq.sh
index 1763a1d65..b71adaac1 100755
--- a/scripts/prereq.sh
+++ b/scripts/prereq.sh
@@ -521,6 +521,15 @@ else
printf "found\n"
fi
+printf " ---> checking if rsync is installed.. "
+host_build_rsync=0
+if ! which rsync >/dev/null 2>&1; then
+ printf "not found\n"
+ host_build_rsync=1
+else
+ printf "found\n"
+fi
+
host_build_tar=0
if which tar >/dev/null 2>&1; then
if ! tar --version 2>/dev/null|grep GNU >/dev/null;then
@@ -692,6 +701,9 @@ fi
if [ $host_build_patch -eq 1 ]; then
printf "\t%s\n" "select ADK_HOST_BUILD_PATCH" >> $topdir/target/config/Config.in.prereq
fi
+if [ $host_build_rsync -eq 1 ]; then
+ printf "\t%s\n" "select ADK_HOST_BUILD_RSYNC" >> $topdir/target/config/Config.in.prereq
+fi
if [ $host_build_findutils -eq 1 ]; then
printf "\t%s\n" "select ADK_HOST_BUILD_FINDUTILS" >> $topdir/target/config/Config.in.prereq
fi
diff --git a/target/config/Config.in.tools b/target/config/Config.in.tools
index b6c740525..5cecf85c1 100644
--- a/target/config/Config.in.tools
+++ b/target/config/Config.in.tools
@@ -121,6 +121,10 @@ config ADK_HOST_BUILD_PATCH
bool
default n
+config ADK_HOST_BUILD_RSYNC
+ bool
+ default n
+
config ADK_HOST_BUILD_SED
bool
default n